__gnu_pbds::detail::eq_by_less< Key, Cmp_Fn > Struct Template Reference

`#include <eq_by_less.hpp>`

## Public Member Functions

bool | operator() (const Key &r_lhs, const Key &r_rhs) const

## Detailed Description

template<typename Key, class Cmp_Fn>
struct __gnu_pbds::detail::eq_by_less< Key, Cmp_Fn >

Equivalence function.

Definition at line 56 of file eq_by_less.hpp.

## Member Function Documentation

## operator()()

template<typename Key, class Cmp_Fn>

bool __gnu_pbds::detail::eq_by_less< Key, Cmp_Fn >::operator() | ( | const Key & | r_lhs,
|  | const Key & | r_rhs ) const

inline

Definition at line 59 of file eq_by_less.hpp.

The documentation for this struct was generated from the following file:

- eq_by_less.hpp